aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPau Espin Pedrol <pespin@sysmocom.de>2020-02-19 11:53:30 +0100
committerPau Espin Pedrol <pespin@sysmocom.de>2020-02-19 11:53:30 +0100
commitfd67262df85c367d44547131e129997b90aa8320 (patch)
treeeef1bf05b81ad4986af4a50a028c752564f66947
parent0569845a0869feb0a9e4d284f3f1c04775bdab07 (diff)
contrib/jenkins.sh: Reorder sanity checks
-rwxr-xr-xcontrib/jenkins.sh21
1 files changed, 14 insertions, 7 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 84e4ea7..df444ca 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -23,15 +23,8 @@ mychroot() {
mychroot_nocwd -w / "$@"
}
-base="$PWD"
-deps="$base/deps"
-inst="$deps/install"
-export deps inst
-
if [ -z "${INSIDE_CHROOT}" ]; then
- osmo-clean-workspace.sh
-
# Only use ARM chroot if host is not ARM and the target is ARM:
if ! $(substr "arm" "$(uname -m)") && [ "x${INSTR}" = "x--with-neon" -o "x${INSTR}" = "x--with-neon-vfpv4" ]; then
@@ -69,6 +62,20 @@ if [ -z "${INSIDE_CHROOT}" ]; then
fi
fi
+set -ex
+
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+ exit 2
+fi
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+osmo-clean-workspace.sh
+
mkdir "$deps" || true
osmo-build-dep.sh libosmocore "" "--enable-sanitize --disable-doxygen --disable-pcsc"